Subject: bug#10920: 24.0.93; Poor response to display size changes

From: Jan Djärv <[email-masked]>
Date: Mon, 9 Apr 2012 12:05:06 +0200

Hello.

I made a fix for bug 10962 that might have impact on this buf as well, as it incolves screen constraints.  Can you try it? It is currently in the emacs-24 branch, but I guess it will propagate to the trunk.

Thanks,

	Jan D.

3 mar 2012 kl. 20:08 skrev Dave Abrahams:

> 
> on Sat Mar 03 2012, Jan Djärv <jan.h.d-AT-swipnet.se> wrote:
> 
>> Hello.
>> 
>> 3 mar 2012 kl. 16:48 skrev Dave Abrahams:
>> 
>>> 
>>> on Sat Mar 03 2012, Jan Djärv <jan.h.d-AT-swipnet.se> wrote:
>>> 
>>>> Hello.
>>>> 
>>>> 1 mar 2012 kl. 15:56 skrev Dave Abrahams <[email-masked]>:
>>>> 
>>>>> 
>>>>> It seems to me:
>>>>> 
>>>>> * When the display size changes, any visible frames that aren't completely
>>>>> visible should be moved/resised so they are
>>>> 
>>>> This is not as easy as it seems. If you have Emacs spanning several
>>>> monitors and one of them changes it is not obvious what to do. One
>>>> could special case it for the single monitor case I guess.
>>> 
>>> It may have not been easy 15-20 years ago, but today it is a solved
>>> problem.  Many other applications have worked out ways to deal with such
>>> changes.  Emacs could simply emulate one of those.
>> 
>> Can you give an example of an application that behaves sane when
>> spread out over four monitors and one of them changes?
> 
> I don't have four monitors, so no.  But IMO that's not the common case
> anyway.  The common case is when a laptop is plugged/unplugged from a
> single or multi-monitor setup.
> 
>>>>> * The same goes for "fullscreen" (which IIUC is only supported via a
>>>>> patch that lives outside emacs, but I mention it here for
>>>>> completeness).
>>>>> 
>>>> 
>>>> The 10.7 style fullscreen does not have this problem, which is an
>>>> argument for just supporting that type of fullscreen in 24.2.
>>> 
>>> Not really, IMO.  On the mac there's a green button in the upper left of
>>> every application window that maximizes it.  You have to respond to that
>>> button somehow and maximizing the frame is the right (and consistent)
>>> response.
>> 
>> Maximizing and fullscreen is not the same thing.
> 
> I know.  I thought you were arguing for trying to handle this deficiency
> in Emacs' handling of maximized (and other) frames by ignoring it and
> telling people to use fullscreen instead.
> 
> By the way, 10.7-style fullscreen is incredibly frustrating for someone
> like me who wants to use all of one screen for Emacs but doesn't want
> his other monitors to go to waste.  10.7 will just put a gray background
> on the other screens and they become unusable :(
> 
> -- 
> Dave Abrahams
> BoostPro Computing
> http://www.boostpro.com